Last Comment Bug 769908 - Switch DIR_INSTALL to INSTALL
: Switch DIR_INSTALL to INSTALL
Status: RESOLVED FIXED
[good first bug][mentor=sid0][lang=sh...
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla17
Assigned To: Sean DuBois
:
:
Mentors:
Depends on: 757252
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 04:28 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-07-24 06:30 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix for bug 769908 (3.15 KB, patch)
2012-07-10 10:34 PDT, Sean DuBois
ted: review-
Details | Diff | Splinter Review
2nd Patch (3.96 KB, patch)
2012-07-20 12:59 PDT, Sean DuBois
ted: review+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2012-06-30 04:28:08 PDT
DIR_INSTALL is going to be obsolete once bug 757252 is fixed. We should get rid of it.

This should be simple enough to do with a find and replace. We should fix this in both mozilla-central and comm-central.
Comment 1 Sean DuBois 2012-07-09 13:35:12 PDT
(In reply to Siddharth Agarwal [:sid0] from comment #0)
> DIR_INSTALL is going to be obsolete once bug 757252 is fixed. We should get
> rid of it.
> 
> This should be simple enough to do with a find and replace. We should fix
> this in both mozilla-central and comm-central.

Siddharth I am new to Mozilla, and came here through the bugs with mentors program. Is this bug still a good one to help and close? I am just gonna grep around and find the DIR_INSTALL string and change it where need be.

After thats all done just attach a unified patch from hg?
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2012-07-09 14:15:10 PDT
That would be good, but what would be even better would be if you converted single-line commands to install_cmd. See bug 680636.
Comment 3 Sean DuBois 2012-07-10 10:34:57 PDT
Created attachment 640672 [details] [diff] [review]
Fix for bug 769908
Comment 4 Ted Mielczarek [:ted.mielczarek] 2012-07-20 10:59:35 PDT
Comment on attachment 640672 [details] [diff] [review]
Fix for bug 769908

Review of attachment 640672 [details] [diff] [review]:
-----------------------------------------------------------------

This looks just about good, but you missed a spot:
http://mxr.mozilla.org/mozilla-central/source/dom/indexedDB/ipc/Makefile.in#48
Comment 5 Ted Mielczarek [:ted.mielczarek] 2012-07-20 10:59:59 PDT
Thanks for the patch! If you fix that one issue we should be able to get it landed.
Comment 6 Sean DuBois 2012-07-20 12:59:12 PDT
Created attachment 644430 [details] [diff] [review]
2nd Patch

Ted here is the new patch with the line I missed. Thanks!
Comment 7 Ted Mielczarek [:ted.mielczarek] 2012-07-23 12:57:37 PDT
Comment on attachment 644430 [details] [diff] [review]
2nd Patch

Review of attachment 644430 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thanks!
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-07-23 17:04:02 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/687711cf6f30

Thanks for the patch, Sean! One request - to make life easier for those checking in on your behalf, please follow the directions at the link below for any future patches you submit to make sure that all the necessary commit information is present. Thanks!
https://developer.mozilla.org/en/Creating_a_patch_that_can_be_checked_in
Comment 9 Ed Morley [:emorley] 2012-07-24 02:58:18 PDT
https://hg.mozilla.org/mozilla-central/rev/687711cf6f30
Comment 10 Siddharth Agarwal [:sid0] (inactive) 2012-07-24 06:30:40 PDT
Pushed a bustage fix from trailing whitespace after a backslash: http://hg.mozilla.org/mozilla-central/rev/cb0b3e605cf1

Note You need to log in before you can comment on or make changes to this bug.